#include<Guiconstants.au3>
#Include <process.au3>
#include <ModernMenu.au3>

; In den OnEvent-Modus wechseln (-> AutoIt kmmert sich um das Weiterreichen der Events an die einzelnen Controls
Opt("TrayIconHide", 1)
Opt("GUIOnEventMode", 1)
Opt("RunErrorsFatal", 0)
Opt("TrayMenuMode", 1) ; Traymen entfernen

Global $laufwerke[100]

$title = "***"

If WinExists($title) Then
Exit
EndIf

GUICreate($title, @DesktopWidth, 50, 0, 0, $WS_POPUPWINDOW + $WS_VISIBLE + $DS_SETFOREGROUND, $WS_EX_TOOLWINDOW)
GUISetFont(8, 400, 1, "Courier New Bold")
WinSetOnTop($title, "", 1)
;######################################################################
;
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Arbeitsplatz ~~~~~~~~~~~~~~~~~~~~~~~~~~~~
;
;######################################################################
$Arbeitsplatz = GUICtrlCreateMenu("Arbeitsplatz")
$Arbeitsplatz_Laufwerke = GUICtrlCreateMenu("Laufwerke", $Arbeitsplatz, 1)

$var = DriveGetDrive("all")

If Not @error Then

For $i = 1 To $var[0]
 $name = DriveGetLabel($var[$i])
 
 If DriveGetType($var[$i]) = "CDROM" Then
  $drive = "Icons\CDROM.ico"
 ElseIf DriveGetType($var[$i]) = "FIXED" Then
  $drive = "Icons\HDD.ico"
 ElseIf DriveGetType($var[$i]) = "NETWORK" Then
  $drive = "Icons\Net-HDD.ico"
 ElseIf DriveGetType($var[$i]) = "REMOVABLE" Then
  $drive = "Icons\Rem.ico"
 Else
 EndIf
 
 $laufwerke[$i] = _GUICtrlCreateODMenuitem (" (" & StringUpper($var[$i]) & ") " & $name, $Arbeitsplatz_Laufwerke, $drive)
 GUICtrlSetOnEvent($laufwerke[$i], "open")
Next
EndIf
;-------------------------- Ende Men ------------------------

$pos = @DesktopWidth - 25

$ende = GUICtrlCreateIcon(@ScriptDir & "\Icons\ende.ico", 0, $pos, 7, 16, 16)
GUICtrlSetOnEvent($ende, "schliessen")
GUISetOnEvent($GUI_EVENT_CLOSE, "schliessen")

GUISetState()
While 1
$msg = GUIGetMsg()
Select
 Case $msg = $GUI_EVENT_CLOSE
  ExitLoop
 Case $msg = $ende
  Exit
EndSelect
WEnd

Func schliessen()
Exit
EndFunc  ;==>schliessen

Func open()
For $k = 1 to 100
 If $laufwerke[$k] = "" or $laufwerke[$k] = @GUI_CtrlId Then ExitLoop   
Next
CDTray($var[$i], "open")
EndFunc